Bug 639348 - Review Request: gkeyfile-sharp - C# bindings for glib2's keyfile implementation
Summary: Review Request: gkeyfile-sharp - C# bindings for glib2's keyfile implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-01 14:10 UTC by Nathaniel McCallum
Modified: 2010-10-18 05:35 UTC (History)
3 users (show)

Fixed In Version: clutter-sharp-0-0.8.20090828.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-18 05:35:45 UTC
Type: ---
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nathaniel McCallum 2010-10-01 14:10:24 UTC
Spec URL: http://npmccallum.fedorapeople.org/banshee/gkeyfile-sharp.spec
SRPM URL: http://repos.fedorapeople.org/repos/npmccallum/banshee/fedora-14/SRPMS/gkeyfile-sharp-0.1-1.fc14.src.rpm
Description: C# bindings for glib2's keyfile implementation

Comment 1 Nathaniel McCallum 2010-10-03 21:39:38 UTC
Spec URL: http://npmccallum.fedorapeople.org/banshee/gkeyfile-sharp.spec
SRPM URL:
http://repos.fedorapeople.org/repos/npmccallum/banshee/fedora-14/SRPMS/gkeyfile-sharp-0.1-2.fc14.src.rpm

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

Comment 2 Peter Lemenkov 2010-10-04 08:09:33 UTC
I'll review it

Comment 3 Peter Lemenkov 2010-10-04 10:26:03 UTC
Koji scratch build for F-14 (currently wip):

http://koji.fedoraproject.org/koji/taskinfo?taskID=2510250

Comment 4 Peter Lemenkov 2010-10-04 11:39:32 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is ALMOST silent

work ~/Desktop: rpmlint gkeyfile-sharp-*
gkeyfile-sharp.i686: W: spelling-error Summary(en_US) keyfile -> key file, key-file, keyhole
gkeyfile-sharp.i686: W: spelling-error %description -l en_US keyfile -> key file, key-file, keyhole
gkeyfile-sharp.i686: E: no-binary
gkeyfile-sharp.i686: W: only-non-binary-in-usr-lib
gkeyfile-sharp-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 4 warnings.
work ~/Desktop:

All these messages should be ignored (spelling-error as false positive and the rest - due to the nature of C# applications)

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.

+/- The package is licensed with a Fedora approved license and meets the Licensing Guidelines, except the issue with unowned directory (see below).

+ The License field in the package spec file matches the actual license ( strict LGPLv2)
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum mono-gkeyfile-sharp-GKEYFILE_SHARP_0_1-0-g07a401a.tar.gz*
21a8a7ebfd4cbc2495d2f917426768550fe9dc2dead0e570541dc6a33f181c3d  mono-gkeyfile-sharp-GKEYFILE_SHARP_0_1-0-g07a401a.tar.gz
21a8a7ebfd4cbc2495d2f917426768550fe9dc2dead0e570541dc6a33f181c3d  mono-gkeyfile-sharp-GKEYFILE_SHARP_0_1-0-g07a401a.tar.gz.1
Sulaco ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.

- The package MUST own all directories that it creates. Unfortunately, the package doesn;t claim ownership over %{_libdir}/mono/%{name}/ directory. Please fix it.

+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
+ The "devel" sub-package requires the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}/
+ The pkgconfig(.pc) file is properly placed in *-devel sub-package and
necessary runtime dependency is added.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Almost done. Please fix the issue with unowned directory and I'll finish this
review.

Comment 5 Nathaniel McCallum 2010-10-04 13:21:48 UTC
Spec URL: http://npmccallum.fedorapeople.org/banshee/gkeyfile-sharp.spec
SRPM URL:
http://repos.fedorapeople.org/repos/npmccallum/banshee/fedora-14/SRPMS/gkeyfile-sharp-0.1-3.fc14.src.rpm

* Mon Oct 04 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1-3
- Fix directory ownership

Comment 6 Peter Lemenkov 2010-10-04 13:47:16 UTC
Ok, I don't see any other issues so this package is

APPROVED.

Comment 7 Nathaniel McCallum 2010-10-04 13:57:41 UTC
New Package SCM Request
=======================
Package Name: gkeyfile-sharp
Short Description: C# bindings for glib2's keyfile implementation
Owners: npmccallum chkr
Branches: f13 f14
InitialCC:

Comment 8 Kevin Fenzi 2010-10-04 19:12:01 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-10-06 02:53:52 UTC
clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14

Comment 10 Fedora Update System 2010-10-07 19:50:15 UTC
clutter-sharp-0-0.8.20090828.fc14, gkeyfile-sharp-0.1-3.fc14, gudev-sharp-0.1-3.fc14, gio-sharp-0.2-2.fc14, gtk-sharp-beans-2.14.0-2.fc14, banshee-1.8.0-4.fc14, banshee-community-extensions-1.8.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clutter-sharp gkeyfile-sharp gudev-sharp gio-sharp gtk-sharp-beans banshee banshee-community-extensions'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clutter-sharp-0-0.8.20090828.fc14,gkeyfile-sharp-0.1-3.fc14,gudev-sharp-0.1-3.fc14,gio-sharp-0.2-2.fc14,gtk-sharp-beans-2.14.0-2.fc14,banshee-1.8.0-4.fc14,banshee-community-extensions-1.8.0-2.fc14

Comment 11 Fedora Update System 2010-10-18 05:35:27 UTC
clutter-sharp-0-0.8.20090828.fc14, gkeyfile-sharp-0.1-3.fc14, gudev-sharp-0.1-3.fc14, gio-sharp-0.2-2.fc14, gtk-sharp-beans-2.14.0-2.fc14, banshee-1.8.0-4.fc14, banshee-community-extensions-1.8.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.